<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { brandsDataTableProps } from '../../../datatable/props/brandsDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ brandsDataTableProps, DeleteEntityMixin ],

        methods: {

            editBrand(brand) {

                this.$router.push({ name: 'edit', params: { id: brand.id } });
            },


            deleteBrand(brand) {

                swalConfirm()
                    .then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('brands', brand.id);
                        }
                    });
            }
        }
    }
</script>